KDE 4.3 PyKDE API Reference

- KDE's Python API

# GeoDataGeometryPrivate Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Attributes

Marble.AltitudeMode | m_altitudeMode
bool | m_extrude
QAtomicInt | ref

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataGeometryPrivate other)
Marble.GeoDataGeometryPrivate | copy (self)
EnumGeometryId | geometryId (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataGeometryPrivate | other
| ) |  |  |

Marble.GeoDataGeometryPrivate copy | ( |  | self ) |

EnumGeometryId geometryId | ( |  | self ) |

## Attribute Documentation

Marble.AltitudeMode m_altitudeMode

bool m_extrude

QAtomicInt ref